import java.applet.Applet;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.MemoryImageSource;

public class MemoryImager extends Applet {
   Image art;
   // $FF: renamed from: d java.awt.Dimension
   Dimension field_0;

   public void init() {
      this.generateImage();
   }

   public void generateImage() {
      int[] var1 = new int[this.field_0.width * this.field_0.height];
      int var2 = 0;

      for(int var6 = 0; var6 < this.field_0.height; ++var6) {
         for(int var7 = 0; var7 < this.field_0.width; ++var7) {
            int var3 = (var7 ^ var6) & 255;
            int var4 = (var7 * 2 ^ var6 * 2) & 255;
            int var5 = (var7 * 4 ^ var6 * 4) & 255;
            var1[var2++] = -16777216 | var3 << 16 | var4 << 8 | var5;
         }
      }

      this.art = ((Component)this).createImage(new MemoryImageSource(this.field_0.width, this.field_0.height, var1, 0, this.field_0.width));
   }

   public void paint(Graphics var1) {
      var1.drawImage(this.art, 0, 0, this);
   }
}
